package com.qmth.distributed.print.business.service.impl;

import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.distributed.print.business.entity.ExamDetailCoursePaperType;
import com.qmth.distributed.print.business.mapper.ExamDetailCoursePaperTypeMapper;
import com.qmth.distributed.print.business.service.ExamDetailCoursePaperTypeService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 考务数据（考场关联科目对应卷型） 服务实现类
 * </p>
 *
 * @author xf
 * @since 2023-05-15
 */
@Service
public class ExamDetailCoursePaperTypeServiceImpl extends ServiceImpl<ExamDetailCoursePaperTypeMapper, ExamDetailCoursePaperType> implements ExamDetailCoursePaperTypeService {

    @Override
    public void deleteByExamDetailCourseId(Long examDetailCourseId) {
        UpdateWrapper<ExamDetailCoursePaperType> updateWrapper = new UpdateWrapper<>();
        updateWrapper.lambda().eq(ExamDetailCoursePaperType::getExamDetailCourseId, examDetailCourseId);
        this.remove(updateWrapper);
    }
}
